/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package ic3.sample.impl;

import java.util.*;
import ic3.sample.HelloWorld;
import ic3.sample.MyService;
import ic3.sample.model.* ;
/**
 * @author Tuan Nguyen (tuan08@users.sourceforge.net)
 * @since Sep 1, 2004
 * @version $Id: MyServiceImpl.java,v 1.1 2004/09/30 18:06:04 tuan08 Exp $
 */
public class MyServiceImpl implements MyService {
  private HelloWorld hello_ ;
  private List patients_ ;
  
  public MyServiceImpl(HelloWorld hello) {
    hello_ = hello ;
    patients_ = new ArrayList() ;
    for(int i = 0; i < 100; i++) {
      patients_.add(Patient.createPatient(i)) ;
    }
  }
  
    public void doMyService()  {
    System.out.println("Hello.................") ;
    hello_.sayHello() ;
  }
  
  public String getSayHello()  {
    return "Hello World" ;
  }
  
  public Patient findPatientByName(String name)  {
    return Patient.createPatient(1) ;
  }
  
  public List getPatients()  {
    return patients_ ;
  }

/* (non-Javadoc)
 * @see ic3.sample.MyService#addPatient(java.lang.String, java.lang.String, java.lang.String)
 */
}
