/***************************************************************************
 * Copyright 2001-2003 The eXo Platform SARL         All rights reserved.  *
 * Please look at license.txt in info directory for more license detail.   *
 **************************************************************************/
package ic3.portlets.login.renderer.html;

import ic3.portlets.login.component.UIIC3LoginPortlet;
import java.io.IOException;
import java.util.ResourceBundle;
import javax.faces.component.UIComponent;
import javax.faces.context.FacesContext;
import javax.faces.context.ResponseWriter;
import org.exoplatform.faces.core.renderer.html.HtmlBasicRenderer;
/**
 * @author Tuan Nguyen (tuan08@users.sourceforge.net)
 * @since Aug 27, 2004
 * @version $Id: IC3LoginPortletRenderer.java,v 1.1 2004/11/01 15:21:42 tuan08 Exp $ 
 */
public class IC3LoginPortletRenderer extends HtmlBasicRenderer {

  public void encodeChildren(FacesContext context, UIComponent component)  throws IOException {
    UIIC3LoginPortlet uiPortlet = (UIIC3LoginPortlet) component;
    ResponseWriter w = context.getResponseWriter();
    ResourceBundle res = getApplicationResourceBundle(context.getExternalContext());
    w.write("<table class='UIIC3LoginPortlet'>") ;
    w.  write("<tr>") ;
    w.    write("<td width='55%'>") ; 
    w.      write(res.getString("UIIC3LoginPortlet.msg.info")) ;
    w.    write("</td>") ;
    w.    write("<td>") ; 
    renderChildren(context, component) ;
    w.    write("</td>") ;
    w.  write("</tr>") ;
    w.  write("<tr>") ;
    w.    write("<td width='55%'>") ; 
    w.      write("<h2>") ; 
    w.      write(res.getString("UIIC3LoginPortlet.header.importants")) ;
    w.      write("</h2>") ;
    w.      write(res.getString("UIIC3LoginPortlet.msg.importants")) ;
    w.    write("</td>") ;
    w.    write("<td/>") ;
    w.  write("</tr>") ;
    w.write("</table>") ;
  }
}
